MPD

- Main Page
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields

# player_control Struct Reference

`#include <player_control.h>`

## Data Fields
unsigned | buffer_chunks
unsigned int | buffered_before_play
GThread * | thread
| the handle of the player thread, or NULL if the player thread isn't running
GMutex * | mutex
| This lock protects command, state, error.
GCond * | cond
| Trigger this object after you have modified command.
enum player_command | command
enum player_state | state
enum player_error | error
uint16_t | bit_rate
struct audio_format | audio_format
float | total_time
float | elapsed_time
struct song * | next_song
struct song * | errored_song
double | seek_where
float | cross_fade_seconds
float | mixramp_db
float | mixramp_delay_seconds
double | total_play_time

## Detailed Description

Definition at line 84 of file player_control.h.

## Field Documentation

struct audio_format player_control::audio_format

Definition at line 107 of file player_control.h.

uint16_t player_control::bit_rate

Definition at line 106 of file player_control.h.

unsigned player_control::buffer_chunks

Definition at line 85 of file player_control.h.

unsigned int player_control::buffered_before_play

Definition at line 87 of file player_control.h.

enum player_command player_control::command

Definition at line 103 of file player_control.h.

GCond* player_control::cond

Trigger this object after you have modified command.

Definition at line 101 of file player_control.h.

float player_control::cross_fade_seconds

Definition at line 113 of file player_control.h.

float player_control::elapsed_time

Definition at line 109 of file player_control.h.

enum player_error player_control::error

Definition at line 105 of file player_control.h.

struct song* player_control::errored_song

Definition at line 111 of file player_control.h.

float player_control::mixramp_db

Definition at line 114 of file player_control.h.

float player_control::mixramp_delay_seconds

Definition at line 115 of file player_control.h.

GMutex* player_control::mutex

This lock protects command, state, error.

Definition at line 96 of file player_control.h.

struct song* player_control::next_song

Definition at line 110 of file player_control.h.

double player_control::seek_where

Definition at line 112 of file player_control.h.

enum player_state player_control::state

Definition at line 104 of file player_control.h.

GThread* player_control::thread

the handle of the player thread, or NULL if the player thread isn't running

Definition at line 91 of file player_control.h.

double player_control::total_play_time

Definition at line 116 of file player_control.h.

float player_control::total_time

Definition at line 108 of file player_control.h.

The documentation for this struct was generated from the following file:

- src/player_control.h